# Uses of Class
java.beans.beancontext.BeanContextServicesSupport.BCSSServiceProvider

Packages that use BeanContextServicesSupport.BCSSServiceProvider
Package
Description
java.beans.beancontext
Provides classes and interfaces relating to bean context.

## Uses of BeanContextServicesSupport.BCSSServiceProvider in java.beans.beancontext

Fields in java.beans.beancontext with type parameters of type BeanContextServicesSupport.BCSSServiceProvider
Modifier and Type
Field
Description
`protected HashMap<Object,BeanContextServicesSupport.BCSSServiceProvider>`
BeanContextServicesSupport.`services`
all accesses to the `protected transient HashMap services` field should be synchronized on that object
Methods in java.beans.beancontext that return BeanContextServicesSupport.BCSSServiceProvider
Modifier and Type
Method
Description
`protected BeanContextServicesSupport.BCSSServiceProvider`
BeanContextServicesSupport.`createBCSSServiceProvider(Class<?> sc, BeanContextServiceProvider bcsp)`
subclasses can override this method to create new subclasses of BCSSServiceProvider without having to override addService() in order to instantiate.